For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The VendorCredit object
          • GET/vendor-credits
          • POST/vendor-credits
          • GET/vendor-credits/{id}
          • PATCH/vendor-credits/{id}
          • POST/vendor-credits/{id}/application
          • GET/vendor-credits/meta/patch/{id}
          • GET/vendor-credits/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsVendor Credits

/vendor-credits/{id}

GET
/accounting/v1/vendor-credits/:id
GET
/api/accounting/v1/vendor-credits/:id
$curl -G https://api.merge.dev/api/accounting/v1/vendor-credits/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=lines,tracking_categories,vendor,company,accounting_period
200Retrieved
1{
2 "id": "ecbe05ac-62a3-46c5-ab31-4b478b37d1b4",
3 "remote_id": "088899",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "number": "6",
7 "transaction_date": "2020-03-31T00:00:00Z",
8 "vendor": "3d263469-51a1-4766-9205-f6c997826be1",
9 "total_amount": 10000,
10 "currency": "USD",
11 "exchange_rate": "2.9",
12 "inclusive_of_tax": true,
13 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
14 "lines": [
15 {
16 "remote_id": "121222",
17 "net_amount": 25.54,
18 "tracking_categories": [
19 "b38c59b0-a9d7-4740-b1ee-5436c6751e3d",
20 "9b840d2-686a-465a-8a8e-7b028498f8e4",
21 "a47e11b6-c73b-4a0c-be31-130fc48177fa"
22 ],
23 "description": "Gifted Merge Credit",
24 "account": "9d892439-5fab-4dbb-8bd8-34f7f96c7912",
25 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
26 "project": "22e65a5d-2df5-4e6e-884a-e538d0339000",
27 "contact": "908934-49j9-093f-0989-908923908",
28 "tax_rate": "a12e7c20-1922-9df7-s75n-edfeewnn7384",
29 "exchange_rate": "2.9",
30 "remote_was_deleted": false
31 },
32 {
33 "remote_id": "121223",
34 "net_amount": 10,
35 "tracking_categories": [
36 "b38c59b0-a9d7-4740-b1ee-5436c6751e3d",
37 "9b840d2-686a-465a-8a8e-7b028498f8e4",
38 "a47e11b6-c73b-4a0c-be31-130fc48177fa"
39 ],
40 "description": "Refund for overpayment",
41 "account": "9d892439-5fab-4dbb-8bd8-34f7f96c7912"
42 }
43 ],
44 "tracking_categories": [
45 "b38c59b0-a9d7-4740-b1ee-5436c6751e3d",
46 "9b840d2-686a-465a-8a8e-7b028498f8e4",
47 "a47e11b6-c73b-4a0c-be31-130fc48177fa"
48 ],
49 "applied_to_lines": [
50 {
51 "invoice": "5b3c1341-a20f-4e51-b72c-f3830a16c97b",
52 "applied_date": "2020-03-31T00:00:00Z",
53 "applied_amount": "2.9"
54 }
55 ],
56 "remote_was_deleted": true,
57 "accounting_period": "9b840d2-686a-465a-8a8e-7b028498f8e4",
58 "field_mappings": {
59 "organization_defined_targets": {
60 "custom_key": "custom_value"
61 },
62 "linked_account_defined_targets": {
63 "custom_key": "custom_value"
64 }
65 },
66 "remote_data": [
67 {
68 "path": "/actions",
69 "data": null
70 }
71 ]
72}

Returns a VendorCredit object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/vendor-credits

Next

/vendor-credits/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
numberstring or null
The vendor credit's number.
transaction_datedatetime or null
The vendor credit's transaction date.
vendorstring or nullformat: "uuid"
The vendor that owes the gift or refund.
total_amountdouble or null
The vendor credit's total amount.
currencyenum or null
The vendor credit's currency. The currency code in ISO 4217 format.
exchange_ratestring or nullformat: "decimal"
The vendor credit's exchange rate.
inclusive_of_taxboolean or null

If the transaction is inclusive or exclusive of tax. True if inclusive, False if exclusive.

companystring or nullformat: "uuid"
The company the vendor credit belongs to.
lineslist of objectsRead-only
tracking_categorieslist of strings
applied_to_lineslist of objects
A list of VendorCredit Applied to Lines objects.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

accounting_periodstring or nullformat: "uuid"
The accounting period that the VendorCredit was generated in.
field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only